.TH "mca_ptl_sm_component_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_sm_component_t \- Shared Memory (SM) PTL module.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ptl_sm.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_ptl_base_component_1_0_0_t\fP \fBsuper\fP"
.br
.RI "\fIbase PTL component \fP"
.ti -1c
.RI "int \fBsm_first_frag_free_list_num\fP"
.br
.RI "\fIinitial size of free lists \fP"
.ti -1c
.RI "int \fBsm_first_frag_free_list_max\fP"
.br
.RI "\fImaximum size of free lists \fP"
.ti -1c
.RI "int \fBsm_first_frag_free_list_inc\fP"
.br
.RI "\fInumber of elements to alloc when growing free lists \fP"
.ti -1c
.RI "int \fBsm_second_frag_free_list_num\fP"
.br
.RI "\fIinitial size of free lists \fP"
.ti -1c
.RI "int \fBsm_second_frag_free_list_max\fP"
.br
.RI "\fImaximum size of free lists \fP"
.ti -1c
.RI "int \fBsm_second_frag_free_list_inc\fP"
.br
.RI "\fInumber of elements to alloc when growing free lists \fP"
.ti -1c
.RI "int \fBsm_max_procs\fP"
.br
.RI "\fIupper limit on the number of processes using the shared memory pool \fP"
.ti -1c
.RI "int \fBsm_extra_procs\fP"
.br
.RI "\fInumber of extra procs to allow \fP"
.ti -1c
.RI "char * \fBsm_mpool_name\fP"
.br
.RI "\fIname of shared memory pool module \fP"
.ti -1c
.RI "\fBmca_mpool_base_module_t\fP * \fBsm_mpool\fP"
.br
.RI "\fIshared memory pool \fP"
.ti -1c
.RI "void * \fBsm_mpool_base\fP"
.br
.RI "\fIbase address of shared memory pool \fP"
.ti -1c
.RI "size_t \fBfirst_fragment_size\fP"
.br
.RI "\fIfirst fragment size \fP"
.ti -1c
.RI "size_t \fBmax_fragment_size\fP"
.br
.RI "\fImaximum (second and beyone) fragment size \fP"
.ti -1c
.RI "size_t \fBfragment_alignment\fP"
.br
.RI "\fIfragment alignment \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBsm_lock\fP"
.br
.ti -1c
.RI "char * \fBsm_resouce_ctl_file\fP"
.br
.RI "\fIname of shared memory file used to coordinate resource usage \fP"
.ti -1c
.RI "mca_common_sm_mmap_t * \fBmmap_file\fP"
.br
.RI "\fIdescription of mmap'ed file \fP"
.ti -1c
.RI "mca_ptl_sm_module_resource_t * \fBsm_ctl_header\fP"
.br
.ti -1c
.RI "ompi_fifo_t ** \fBfifo\fP"
.br
.RI "\fIcached copy of the pointer to the 2D fifo array \fP"
.ti -1c
.RI "size_t \fBsize_of_cb_queue\fP"
.br
.RI "\fIsize of each circular buffer queue array \fP"
.ti -1c
.RI "size_t \fBcb_lazy_free_freq\fP"
.br
.RI "\fIfrequency of lazy free \fP"
.ti -1c
.RI "ssize_t * \fBsm_offset\fP"
.br
.RI "\fIoffset to be applied to shared memory addresses, per local process value \fP"
.ti -1c
.RI "int * \fBsm_proc_connect\fP"
.br
.ti -1c
.RI "size_t \fBnum_smp_procs\fP"
.br
.RI "\fIcurrent number of smp procs on this host \fP"
.ti -1c
.RI "int \fBnum_smp_procs_same_base_addr\fP"
.br
.ti -1c
.RI "int \fBnum_smp_procs_different_base_addr\fP"
.br
.ti -1c
.RI "int * \fBlist_smp_procs_same_base_addr\fP"
.br
.ti -1c
.RI "int * \fBlist_smp_procs_different_base_addr\fP"
.br
.ti -1c
.RI "uint32_t \fBmy_smp_rank\fP"
.br
.RI "\fIMy SMP process rank. \fP"
.ti -1c
.RI "ompi_free_list_t \fBsm_first_frags\fP"
.br
.RI "\fIfree list of sm first fragments \fP"
.ti -1c
.RI "ompi_free_list_t \fBsm_second_frags\fP"
.br
.RI "\fIfree list of sm second and above fragments \fP"
.ti -1c
.RI "ompi_free_list_t \fBsm_send_requests\fP"
.br
.RI "\fIfree list of sm send requests -- sendreq + sendfrag \fP"
.ti -1c
.RI "ompi_free_list_t \fBsm_first_frags_to_progress\fP"
.br
.RI "\fIlist of first fragments that are awaiting resources \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBsm_pending_ack_lock\fP"
.br
.ti -1c
.RI "\fBopal_list_t\fP \fBsm_pending_ack\fP"
.br
.RI "\fIlist of fragmnent that need to be acked \fP"
.ti -1c
.RI "\fBmca_ptl_base_peer_t\fP ** \fBsm_peers\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Shared Memory (SM) PTL module. 
.PP
.SH "Field Documentation"
.PP 
.SS "ompi_fifo_t** \fBmca_ptl_sm_component_t::fifo\fP"
.PP
cached copy of the pointer to the 2D fifo array 
.PP
The address in the shared memory segment sm_ctl_header is a relative, but this one, in process private memory, is a real virtual address 
.SS "uint32_t \fBmca_ptl_sm_component_t::my_smp_rank\fP"
.PP
My SMP process rank. 
.PP
Used for accessing SMP specfic data structures. 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
